# Generated from puppet-lint-array_formatting-check-0.9.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name puppet-lint-array_formatting-check

Name: rubygem-%{gem_name}
Version: 0.9.0
Release: 1%{?dist}
Summary: A puppet-lint plugin to check array formatting
License: MIT
URL: https://gitlab.com/amanzer/puppet-lint-array_formatting-check
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-collection_matchers) >= 1.0
# BuildRequires: rubygem(rspec-collection_matchers) < 2
# BuildRequires: rubygem(rspec-its) >= 1.0
# BuildRequires: rubygem(rspec-its) < 2
# BuildRequires: rubygem(rspec-json_expectations) >= 2.0
# BuildRequires: rubygem(rspec-json_expectations) < 3
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
A puppet-lint plugin to check that arrays comform to the style guideline
of having one element per line.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.9.0-1
- Initial package
